# ``twisted`.`python`.`_pydoctor`.`TwistedSphinxInventory``

class documentation

`class TwistedSphinxInventory(SphinxInventory): (source)`

View In Hierarchy

Custom SphinxInventory to work around broken external references to Sphinx.

All exceptions should be reported upstream and a comment should be created with a link to the upstream report.

Method | `getLink` | Resolve the full URL for a cross reference.

def getLink(self, name): (source)
Resolve the full URL for a cross reference.

Parameters
name:`str` | Value of the cross reference.
Returns
`str` or `None` | A full URL for the name reference or `None` if no link was found.